Package org.apache.sysds.runtime.matrix.operators

## Class CMOperator

- java.lang.Object
- - org.apache.sysds.runtime.matrix.operators.Operator
  - - org.apache.sysds.runtime.matrix.operators.MultiThreadedOperator
    - - org.apache.sysds.runtime.matrix.operators.CMOperator

All Implemented Interfaces:
  `Serializable`

    public class CMOperator
    extends MultiThreadedOperator

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `CMOperator.AggregateOperationTypes`

### Field Summary

Fields
`CMOperator.AggregateOperationTypes` `aggOpType`
`ValueFunction` `fn`

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

### Constructor Summary

Constructors
`CMOperator​(ValueFunction op, CMOperator.AggregateOperationTypes agg)`
`CMOperator​(ValueFunction op, CMOperator.AggregateOperationTypes agg, int numThreads)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`CMOperator.AggregateOperationTypes` `getAggOpType()`
`static CMOperator.AggregateOperationTypes` `getAggOpType​(String fn, String order)`
`static CMOperator.AggregateOperationTypes` `getCMAggOpType​(int order)`
`boolean` `isPartialAggregateOperator()`
`CMOperator` `setCMAggOp​(int order)`

### Methods inherited from class org.apache.sysds.runtime.matrix.operators.MultiThreadedOperator

`getNumThreads, setNumThreads`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fn

    public final ValueFunction fn

#### aggOpType

    public final CMOperator.AggregateOperationTypes aggOpType

### Constructor Detail

#### CMOperator

    public CMOperator​(ValueFunction op,
                      CMOperator.AggregateOperationTypes agg)

#### CMOperator

    public CMOperator​(ValueFunction op,
                      CMOperator.AggregateOperationTypes agg,
                      int numThreads)

### Method Detail

#### getAggOpType

    public CMOperator.AggregateOperationTypes getAggOpType()

#### setCMAggOp

    public CMOperator setCMAggOp​(int order)

#### getCMAggOpType

    public static CMOperator.AggregateOperationTypes getCMAggOpType​(int order)

#### getAggOpType

    public static CMOperator.AggregateOperationTypes getAggOpType​(String fn,
                                                                  String order)

#### isPartialAggregateOperator

    public boolean isPartialAggregateOperator()